Author Topic: Mleader Lisp Help please  (Read 1345 times)

0 Members and 1 Guest are viewing this topic.

CECE_CAD

  • Guest
Mleader Lisp Help please
« on: May 05, 2008, 08:35:07 AM »
Mleader lisp help

I have made two different Anno Leader styles that I’m trying to call with a button.  I can call the styles that I created and have them inserted to the drawing, but when I put them to this lisp I get (point or option keyword required)  Can anyone help me with this?


Code: [Select]

;****** Anno Leader  ******

(DEFUN C:mla () ; Mleader with Arrow
 (command "._insert" "K:/settings/AnnoDims.dwg" "")
 (command "._cmleaderstyle" "Anno Leader" "")
 (command "._mleader" "H" "" "")
)

;****** Anno Leader Loop ******

(DEFUN C:mll () ; Mleader with Loop
 (command "._insert" "K:/settings/AnnoDims.dwg" "")
 (command "._cmleaderstyle" "Anno Loop" )
 (command "._mleader" "H" "")
)


alanjt

  • Needs a day job
  • Posts: 5352
  • Standby for witty remark...
Re: Mleader Lisp Help please
« Reply #1 on: May 05, 2008, 09:11:23 AM »
Code: [Select]
(command "._insert" "K:/settings/AnnoDims.dwg" "")doesn't look like you are finishing your insert.

Code: [Select]
(command "._mleader" "H" "" "")what's the "h" is that a 2009 thing?
Civil 3D 2019 ~ Windohz 7 64bit
Dropbox

CECE_CAD

  • Guest
Re: Mleader Lisp Help please
« Reply #2 on: May 05, 2008, 09:30:44 AM »
The "h" has you begin the mleader with the arrowhead.. 

CECE_CAD

  • Guest
Re: Mleader Lisp Help please
« Reply #3 on: May 05, 2008, 01:25:27 PM »
alanjt,

Yeah, you were right.. I didn't have the insert finished...  :ugly:   Also, I took out the "H" that wasn't working.. Thanks